<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_node_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_node_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__node.html">Node APIs</a>]</small>
</h1><!-- doxytag: class="tivx_node_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The internal representation of a node. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#ac2bb36696cbdd51f1cd5ddd4a519acd6">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The internal reference object.  <a href="#ac2bb36696cbdd51f1cd5ddd4a519acd6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a78e4a030aa9acc2710348c3e4c2f43ff">graph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The pointer to parent graph.  <a href="#a78e4a030aa9acc2710348c3e4c2f43ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a67b5d0826b4906ecbd24e58293f7862d">kernel</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The pointer to the kernel structure.  <a href="#a67b5d0826b4906ecbd24e58293f7862d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a908361336b39f39d9be2d9c62a4bf4e1">parameters</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of references which are the values to pass to the kernels.  <a href="#a908361336b39f39d9be2d9c62a4bf4e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a7ea87364a4e247ac25d806b815111291">obj_desc</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Node Object descriptor.  <a href="#a7ea87364a4e247ac25d806b815111291"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#aef83a89cc0a1732adec8bee154ba9da0">obj_desc_cmd</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command Object descriptor.  <a href="#aef83a89cc0a1732adec8bee154ba9da0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structvx__perf__t.html">vx_perf_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a53d94102d3c60e3d5692533a5a19c034">perf</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Node performance.  <a href="#a53d94102d3c60e3d5692533a5a19c034"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a9e93e2f70f2a797995ac30e0842c0595">replicated_flags</a> [TIVX_KERNEL_MAX_PARAMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">parameter replicated flags  <a href="#a9e93e2f70f2a797995ac30e0842c0595"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#aec823abdde8d327d55d004dccad9b369">valid_rect_reset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reset valid rectangle  <a href="#aec823abdde8d327d55d004dccad9b369"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7f33f2fa408e270f690d800d117328f3">vx_nodecomplete_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a1d55916a3f0ec241420bd3aa62bc7ca1">user_callback</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Node completeion callback.  <a href="#a1d55916a3f0ec241420bd3aa62bc7ca1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#af72de0f7d6d4542d102e63977ba9d45a">is_kernel_created</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">to check if kernel is created  <a href="#af72de0f7d6d4542d102e63977ba9d45a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a997f7542cff0e4cc6672d29457c21890">completion_event</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">event to indicate node competion This is set by graph only for leaf nodes  <a href="#a997f7542cff0e4cc6672d29457c21890"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a56e7a3b16e1932ae256ea06818c9485c">local_data_ptr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a302e1a71af71742839adb49215a3d09d">local_data_size</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a47b3a039c3e963100cc77df97fb2ad3c">local_data_ptr_is_alloc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#a6ccc51f440958963f1f74bdf6d5473fb">local_data_set_allow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__node__t.html#ad252d988ed09a3bbc49f2f13aaed2984">incounter</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ac2bb36696cbdd51f1cd5ddd4a519acd6"></a><!-- doxytag: member="tivx_node_t::base" ref="ac2bb36696cbdd51f1cd5ddd4a519acd6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__node__t.html#ac2bb36696cbdd51f1cd5ddd4a519acd6">tivx_node_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The internal reference object. </p>

</div>
</div>
<a class="anchor" id="a78e4a030aa9acc2710348c3e4c2f43ff"></a><!-- doxytag: member="tivx_node_t::graph" ref="a78e4a030aa9acc2710348c3e4c2f43ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7e71c08b1777e49abaf4417506ca8451">vx_graph</a> <a class="el" href="structtivx__node__t.html#a78e4a030aa9acc2710348c3e4c2f43ff">tivx_node_t::graph</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The pointer to parent graph. </p>

</div>
</div>
<a class="anchor" id="a67b5d0826b4906ecbd24e58293f7862d"></a><!-- doxytag: member="tivx_node_t::kernel" ref="a67b5d0826b4906ecbd24e58293f7862d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> <a class="el" href="structtivx__node__t.html#a67b5d0826b4906ecbd24e58293f7862d">tivx_node_t::kernel</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The pointer to the kernel structure. </p>

</div>
</div>
<a class="anchor" id="a908361336b39f39d9be2d9c62a4bf4e1"></a><!-- doxytag: member="tivx_node_t::parameters" ref="a908361336b39f39d9be2d9c62a4bf4e1" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> <a class="el" href="structtivx__node__t.html#a908361336b39f39d9be2d9c62a4bf4e1">tivx_node_t::parameters</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of references which are the values to pass to the kernels. </p>

</div>
</div>
<a class="anchor" id="a7ea87364a4e247ac25d806b815111291"></a><!-- doxytag: member="tivx_node_t::obj_desc" ref="a7ea87364a4e247ac25d806b815111291" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a>* <a class="el" href="structtivx__node__t.html#a7ea87364a4e247ac25d806b815111291">tivx_node_t::obj_desc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Node Object descriptor. </p>

</div>
</div>
<a class="anchor" id="aef83a89cc0a1732adec8bee154ba9da0"></a><!-- doxytag: member="tivx_node_t::obj_desc_cmd" ref="aef83a89cc0a1732adec8bee154ba9da0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a>* <a class="el" href="structtivx__node__t.html#aef83a89cc0a1732adec8bee154ba9da0">tivx_node_t::obj_desc_cmd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Command Object descriptor. </p>

</div>
</div>
<a class="anchor" id="a53d94102d3c60e3d5692533a5a19c034"></a><!-- doxytag: member="tivx_node_t::perf" ref="a53d94102d3c60e3d5692533a5a19c034" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structvx__perf__t.html">vx_perf_t</a> <a class="el" href="structtivx__node__t.html#a53d94102d3c60e3d5692533a5a19c034">tivx_node_t::perf</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Node performance. </p>

</div>
</div>
<a class="anchor" id="a9e93e2f70f2a797995ac30e0842c0595"></a><!-- doxytag: member="tivx_node_t::replicated_flags" ref="a9e93e2f70f2a797995ac30e0842c0595" args="[TIVX_KERNEL_MAX_PARAMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__node__t.html#a9e93e2f70f2a797995ac30e0842c0595">tivx_node_t::replicated_flags</a>[TIVX_KERNEL_MAX_PARAMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>parameter replicated flags </p>

</div>
</div>
<a class="anchor" id="aec823abdde8d327d55d004dccad9b369"></a><!-- doxytag: member="tivx_node_t::valid_rect_reset" ref="aec823abdde8d327d55d004dccad9b369" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__node__t.html#aec823abdde8d327d55d004dccad9b369">tivx_node_t::valid_rect_reset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reset valid rectangle </p>

</div>
</div>
<a class="anchor" id="a1d55916a3f0ec241420bd3aa62bc7ca1"></a><!-- doxytag: member="tivx_node_t::user_callback" ref="a1d55916a3f0ec241420bd3aa62bc7ca1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7f33f2fa408e270f690d800d117328f3">vx_nodecomplete_f</a> <a class="el" href="structtivx__node__t.html#a1d55916a3f0ec241420bd3aa62bc7ca1">tivx_node_t::user_callback</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Node completeion callback. </p>

</div>
</div>
<a class="anchor" id="af72de0f7d6d4542d102e63977ba9d45a"></a><!-- doxytag: member="tivx_node_t::is_kernel_created" ref="af72de0f7d6d4542d102e63977ba9d45a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__node__t.html#af72de0f7d6d4542d102e63977ba9d45a">tivx_node_t::is_kernel_created</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>to check if kernel is created </p>

</div>
</div>
<a class="anchor" id="a997f7542cff0e4cc6672d29457c21890"></a><!-- doxytag: member="tivx_node_t::completion_event" ref="a997f7542cff0e4cc6672d29457c21890" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> <a class="el" href="structtivx__node__t.html#a997f7542cff0e4cc6672d29457c21890">tivx_node_t::completion_event</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>event to indicate node competion This is set by graph only for leaf nodes </p>

</div>
</div>
<a class="anchor" id="a56e7a3b16e1932ae256ea06818c9485c"></a><!-- doxytag: member="tivx_node_t::local_data_ptr" ref="a56e7a3b16e1932ae256ea06818c9485c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__node__t.html#a56e7a3b16e1932ae256ea06818c9485c">tivx_node_t::local_data_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local data pointer </p>

</div>
</div>
<a class="anchor" id="a302e1a71af71742839adb49215a3d09d"></a><!-- doxytag: member="tivx_node_t::local_data_size" ref="a302e1a71af71742839adb49215a3d09d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__node__t.html#a302e1a71af71742839adb49215a3d09d">tivx_node_t::local_data_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>local data size </p>

</div>
</div>
<a class="anchor" id="a47b3a039c3e963100cc77df97fb2ad3c"></a><!-- doxytag: member="tivx_node_t::local_data_ptr_is_alloc" ref="a47b3a039c3e963100cc77df97fb2ad3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__node__t.html#a47b3a039c3e963100cc77df97fb2ad3c">tivx_node_t::local_data_ptr_is_alloc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>flag to indicate if local_data_ptr is allocated by system TRUE: allocated by system (TIOVX implementation) FALSE: allocated by user, or not allocated </p>

</div>
</div>
<a class="anchor" id="a6ccc51f440958963f1f74bdf6d5473fb"></a><!-- doxytag: member="tivx_node_t::local_data_set_allow" ref="a6ccc51f440958963f1f74bdf6d5473fb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> <a class="el" href="structtivx__node__t.html#a6ccc51f440958963f1f74bdf6d5473fb">tivx_node_t::local_data_set_allow</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Flag to indicate if local data size and ptr set is allowed </p>

</div>
</div>
<a class="anchor" id="ad252d988ed09a3bbc49f2f13aaed2984"></a><!-- doxytag: member="tivx_node_t::incounter" ref="ad252d988ed09a3bbc49f2f13aaed2984" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t <a class="el" href="structtivx__node__t.html#ad252d988ed09a3bbc49f2f13aaed2984">tivx_node_t::incounter</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>used by graph topological sort for internal state keeping </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
